Index: branches/new_class_id/src/world_entities/elements/text_element.h
===================================================================
--- branches/new_class_id/src/world_entities/elements/text_element.h	(revision 9714)
+++ branches/new_class_id/src/world_entities/elements/text_element.h	(revision 9715)
@@ -21,5 +21,5 @@
 //! A class that enables the
 class TextElement : public Text {
-  NewObjectListDeclaration(TextElement);
+  ObjectListDeclaration(TextElement);
 
  public:
Index: branches/new_class_id/src/world_entities/environment.cc
===================================================================
--- branches/new_class_id/src/world_entities/environment.cc	(revision 9714)
+++ branches/new_class_id/src/world_entities/environment.cc	(revision 9715)
@@ -27,5 +27,5 @@
 
 #include "class_id.h"
-NewObjectListDefinitionID(Environment, CL_ENVIRONMENT);
+ObjectListDefinitionID(Environment, CL_ENVIRONMENT);
 CREATE_FACTORY(Environment);
 
Index: branches/new_class_id/src/world_entities/environment.h
===================================================================
--- branches/new_class_id/src/world_entities/environment.h	(revision 9714)
+++ branches/new_class_id/src/world_entities/environment.h	(revision 9715)
@@ -16,5 +16,5 @@
 class Environment : public WorldEntity
 {
-  NewObjectListDeclaration(Environment);
+  ObjectListDeclaration(Environment);
 
  public:
Index: branches/new_class_id/src/world_entities/environments/building.cc
===================================================================
--- branches/new_class_id/src/world_entities/environments/building.cc	(revision 9714)
+++ branches/new_class_id/src/world_entities/environments/building.cc	(revision 9715)
@@ -24,5 +24,5 @@
 
 #include "class_id.h"
-NewObjectListDefinitionID(Building, CL_BUILDING);
+ObjectListDefinitionID(Building, CL_BUILDING);
 CREATE_FACTORY(Building);
 
Index: branches/new_class_id/src/world_entities/environments/building.h
===================================================================
--- branches/new_class_id/src/world_entities/environments/building.h	(revision 9714)
+++ branches/new_class_id/src/world_entities/environments/building.h	(revision 9715)
@@ -15,5 +15,5 @@
 class Building : public WorldEntity
 {
-  NewObjectListDeclaration(Building);
+  ObjectListDeclaration(Building);
   public:
   Building(const TiXmlElement* root);
Index: branches/new_class_id/src/world_entities/environments/mapped_water.cc
===================================================================
--- branches/new_class_id/src/world_entities/environments/mapped_water.cc	(revision 9714)
+++ branches/new_class_id/src/world_entities/environments/mapped_water.cc	(revision 9715)
@@ -26,5 +26,5 @@
 
 #include "class_id.h"
-NewObjectListDefinitionID(MappedWater, CL_MAPPED_WATER);
+ObjectListDefinitionID(MappedWater, CL_MAPPED_WATER);
 CREATE_FACTORY(MappedWater);
 
Index: branches/new_class_id/src/world_entities/environments/mapped_water.h
===================================================================
--- branches/new_class_id/src/world_entities/environments/mapped_water.h	(revision 9714)
+++ branches/new_class_id/src/world_entities/environments/mapped_water.h	(revision 9715)
@@ -35,5 +35,5 @@
 class MappedWater : public WorldEntity
 {
-  NewObjectListDeclaration(MappedWater);
+  ObjectListDeclaration(MappedWater);
 public:
   MappedWater(const TiXmlElement* root = NULL);
Index: branches/new_class_id/src/world_entities/environments/model_entity.cc
===================================================================
--- branches/new_class_id/src/world_entities/environments/model_entity.cc	(revision 9714)
+++ branches/new_class_id/src/world_entities/environments/model_entity.cc	(revision 9715)
@@ -24,5 +24,5 @@
 
 #include "class_id.h"
-NewObjectListDefinitionID(ModelEntity, CL_MODEL_ENTITY);
+ObjectListDefinitionID(ModelEntity, CL_MODEL_ENTITY);
 CREATE_FACTORY(ModelEntity);
 
Index: branches/new_class_id/src/world_entities/environments/model_entity.h
===================================================================
--- branches/new_class_id/src/world_entities/environments/model_entity.h	(revision 9714)
+++ branches/new_class_id/src/world_entities/environments/model_entity.h	(revision 9715)
@@ -15,5 +15,5 @@
 class ModelEntity : public WorldEntity
 {
-  NewObjectListDeclaration(ModelEntity);
+  ObjectListDeclaration(ModelEntity);
  public:
   ModelEntity(const TiXmlElement* root);
Index: branches/new_class_id/src/world_entities/environments/water.cc
===================================================================
--- branches/new_class_id/src/world_entities/environments/water.cc	(revision 9714)
+++ branches/new_class_id/src/world_entities/environments/water.cc	(revision 9715)
@@ -34,5 +34,5 @@
 
 #include "class_id.h"
-NewObjectListDefinitionID(Water, CL_WATER);
+ObjectListDefinitionID(Water, CL_WATER);
 CREATE_FACTORY(Water);
 
Index: branches/new_class_id/src/world_entities/environments/water.h
===================================================================
--- branches/new_class_id/src/world_entities/environments/water.h	(revision 9714)
+++ branches/new_class_id/src/world_entities/environments/water.h	(revision 9715)
@@ -22,5 +22,5 @@
 class Water : public WorldEntity
 {
-  NewObjectListDeclaration(Water);
+  ObjectListDeclaration(Water);
   public:
    Water(const TiXmlElement* root = NULL);
Index: branches/new_class_id/src/world_entities/extendable.cc
===================================================================
--- branches/new_class_id/src/world_entities/extendable.cc	(revision 9714)
+++ branches/new_class_id/src/world_entities/extendable.cc	(revision 9715)
@@ -1,3 +1,3 @@
 #include "extendable.h"
 
-NewObjectListDefinition(Extendable);
+ObjectListDefinition(Extendable);
Index: branches/new_class_id/src/world_entities/extendable.h
===================================================================
--- branches/new_class_id/src/world_entities/extendable.h	(revision 9714)
+++ branches/new_class_id/src/world_entities/extendable.h	(revision 9715)
@@ -16,5 +16,5 @@
 //! A class for Extendable Entities
 class Extendable : virtual public BaseObject {
-  NewObjectListDeclaration(Extendable);
+  ObjectListDeclaration(Extendable);
 
   public:
Index: branches/new_class_id/src/world_entities/movie_entity.cc
===================================================================
--- branches/new_class_id/src/world_entities/movie_entity.cc	(revision 9714)
+++ branches/new_class_id/src/world_entities/movie_entity.cc	(revision 9715)
@@ -22,5 +22,5 @@
 
 #include "class_id.h"
-NewObjectListDefinitionID(MovieEntity, CL_MOVIE_ENTITY);
+ObjectListDefinitionID(MovieEntity, CL_MOVIE_ENTITY);
 CREATE_FACTORY(MovieEntity);
 
Index: branches/new_class_id/src/world_entities/movie_entity.h
===================================================================
--- branches/new_class_id/src/world_entities/movie_entity.h	(revision 9714)
+++ branches/new_class_id/src/world_entities/movie_entity.h	(revision 9715)
@@ -14,5 +14,5 @@
 class MovieEntity : public WorldEntity
 {
-  NewObjectListDeclaration(MovieEntity);
+  ObjectListDeclaration(MovieEntity);
   private:
     MediaContainer* media_container;
Index: branches/new_class_id/src/world_entities/npcs/attractor_mine.cc
===================================================================
--- branches/new_class_id/src/world_entities/npcs/attractor_mine.cc	(revision 9714)
+++ branches/new_class_id/src/world_entities/npcs/attractor_mine.cc	(revision 9715)
@@ -34,5 +34,5 @@
 
 #include "class_id.h"
-NewObjectListDefinitionID(AttractorMine, CL_ATTRACTOR_MINE);
+ObjectListDefinitionID(AttractorMine, CL_ATTRACTOR_MINE);
 CREATE_FACTORY(AttractorMine);
 #include "script_class.h"
Index: branches/new_class_id/src/world_entities/npcs/attractor_mine.h
===================================================================
--- branches/new_class_id/src/world_entities/npcs/attractor_mine.h	(revision 9714)
+++ branches/new_class_id/src/world_entities/npcs/attractor_mine.h	(revision 9715)
@@ -9,5 +9,5 @@
 
 class AttractorMine : public NPC {
-  NewObjectListDeclaration(AttractorMine);
+  ObjectListDeclaration(AttractorMine);
 
  public:
Index: branches/new_class_id/src/world_entities/npcs/door.cc
===================================================================
--- branches/new_class_id/src/world_entities/npcs/door.cc	(revision 9714)
+++ branches/new_class_id/src/world_entities/npcs/door.cc	(revision 9715)
@@ -27,5 +27,5 @@
 
 #include "class_id.h"
-NewObjectListDefinitionID(Door, CL_DOOR);
+ObjectListDefinitionID(Door, CL_DOOR);
 CREATE_FACTORY(Door);
 
@@ -159,5 +159,5 @@
   float distance;
 
-  for (NewObjectList<Playable>::const_iterator it = Playable::objectList().begin();
+  for (ObjectList<Playable>::const_iterator it = Playable::objectList().begin();
        it != Playable::objectList().end();
        ++it)
@@ -173,5 +173,5 @@
 
 
-  for (NewObjectList<GenericNPC>::const_iterator it = GenericNPC::objectList().begin();
+  for (ObjectList<GenericNPC>::const_iterator it = GenericNPC::objectList().begin();
        it != GenericNPC::objectList().end();
        ++it)
Index: branches/new_class_id/src/world_entities/npcs/door.h
===================================================================
--- branches/new_class_id/src/world_entities/npcs/door.h	(revision 9714)
+++ branches/new_class_id/src/world_entities/npcs/door.h	(revision 9715)
@@ -21,5 +21,5 @@
 class Door : public WorldEntity
 {
-  NewObjectListDeclaration(Door);
+  ObjectListDeclaration(Door);
 
   public:
Index: branches/new_class_id/src/world_entities/npcs/gate.cc
===================================================================
--- branches/new_class_id/src/world_entities/npcs/gate.cc	(revision 9714)
+++ branches/new_class_id/src/world_entities/npcs/gate.cc	(revision 9715)
@@ -32,5 +32,5 @@
 
 #include "class_id.h"
-NewObjectListDefinitionID(Gate, CL_GATE);
+ObjectListDefinitionID(Gate, CL_GATE);
 CREATE_FACTORY(Gate);
 
@@ -200,5 +200,5 @@
 
   // for all players
-  for (NewObjectList<Playable>::const_iterator it = Playable::objectList().begin();
+  for (ObjectList<Playable>::const_iterator it = Playable::objectList().begin();
        it != Playable::objectList().end();
        ++it)
@@ -212,5 +212,5 @@
 
 
-  for (NewObjectList<GenericNPC>::const_iterator it = GenericNPC::objectList().begin();
+  for (ObjectList<GenericNPC>::const_iterator it = GenericNPC::objectList().begin();
        it != GenericNPC::objectList().end();
        ++it)
Index: branches/new_class_id/src/world_entities/npcs/gate.h
===================================================================
--- branches/new_class_id/src/world_entities/npcs/gate.h	(revision 9714)
+++ branches/new_class_id/src/world_entities/npcs/gate.h	(revision 9715)
@@ -22,5 +22,5 @@
 class Gate : public WorldEntity
 {
-  NewObjectListDeclaration(Gate);
+  ObjectListDeclaration(Gate);
 
   public:
Index: branches/new_class_id/src/world_entities/npcs/generic_npc.cc
===================================================================
--- branches/new_class_id/src/world_entities/npcs/generic_npc.cc	(revision 9714)
+++ branches/new_class_id/src/world_entities/npcs/generic_npc.cc	(revision 9715)
@@ -33,5 +33,5 @@
 
 #include "class_id.h"
-NewObjectListDefinitionID(GenericNPC, CL_GENERIC_NPC);
+ObjectListDefinitionID(GenericNPC, CL_GENERIC_NPC);
 CREATE_FACTORY(GenericNPC);
 
Index: branches/new_class_id/src/world_entities/npcs/generic_npc.h
===================================================================
--- branches/new_class_id/src/world_entities/npcs/generic_npc.h	(revision 9714)
+++ branches/new_class_id/src/world_entities/npcs/generic_npc.h	(revision 9715)
@@ -25,5 +25,5 @@
 class GenericNPC : public NPC
 {
-  NewObjectListDeclaration(GenericNPC);
+  ObjectListDeclaration(GenericNPC);
 
 
Index: branches/new_class_id/src/world_entities/npcs/ground_turret.cc
===================================================================
--- branches/new_class_id/src/world_entities/npcs/ground_turret.cc	(revision 9714)
+++ branches/new_class_id/src/world_entities/npcs/ground_turret.cc	(revision 9715)
@@ -31,5 +31,5 @@
 #include "class_id.h"
 
-NewObjectListDefinitionID(GroundTurret, CL_GROUND_TURRET);
+ObjectListDefinitionID(GroundTurret, CL_GROUND_TURRET);
 CREATE_FACTORY(GroundTurret);
 
Index: branches/new_class_id/src/world_entities/npcs/ground_turret.h
===================================================================
--- branches/new_class_id/src/world_entities/npcs/ground_turret.h	(revision 9714)
+++ branches/new_class_id/src/world_entities/npcs/ground_turret.h	(revision 9715)
@@ -14,5 +14,5 @@
 class GroundTurret : public NPC
 {
-  NewObjectListDeclaration(GroundTurret);
+  ObjectListDeclaration(GroundTurret);
 
 public:
Index: branches/new_class_id/src/world_entities/npcs/network_turret.cc
===================================================================
--- branches/new_class_id/src/world_entities/npcs/network_turret.cc	(revision 9714)
+++ branches/new_class_id/src/world_entities/npcs/network_turret.cc	(revision 9715)
@@ -32,5 +32,5 @@
 
 #include "class_id.h"
-NewObjectListDefinitionID(NetworkTurret, CL_NETWORK_TURRET);
+ObjectListDefinitionID(NetworkTurret, CL_NETWORK_TURRET);
 CREATE_FACTORY(NetworkTurret);
 
Index: branches/new_class_id/src/world_entities/npcs/network_turret.h
===================================================================
--- branches/new_class_id/src/world_entities/npcs/network_turret.h	(revision 9714)
+++ branches/new_class_id/src/world_entities/npcs/network_turret.h	(revision 9715)
@@ -14,5 +14,5 @@
 class NetworkTurret : public NPC
 {
-  NewObjectListDeclaration(NetworkTurret);
+  ObjectListDeclaration(NetworkTurret);
 public:
   NetworkTurret(const TiXmlElement* root = NULL);
Index: branches/new_class_id/src/world_entities/npcs/npc.cc
===================================================================
--- branches/new_class_id/src/world_entities/npcs/npc.cc	(revision 9714)
+++ branches/new_class_id/src/world_entities/npcs/npc.cc	(revision 9715)
@@ -20,5 +20,5 @@
 #include "npc.h"
 
-NewObjectListDefinition(NPC);
+ObjectListDefinition(NPC);
 
 NPC::NPC(const TiXmlElement* root)
Index: branches/new_class_id/src/world_entities/npcs/npc.h
===================================================================
--- branches/new_class_id/src/world_entities/npcs/npc.h	(revision 9714)
+++ branches/new_class_id/src/world_entities/npcs/npc.h	(revision 9715)
@@ -8,5 +8,5 @@
 
 class NPC : public WorldEntity {
-  NewObjectListDeclaration(NPC);
+  ObjectListDeclaration(NPC);
  public:
    NPC (const TiXmlElement* root);
Index: branches/new_class_id/src/world_entities/npcs/npc_test.cc
===================================================================
--- branches/new_class_id/src/world_entities/npcs/npc_test.cc	(revision 9714)
+++ branches/new_class_id/src/world_entities/npcs/npc_test.cc	(revision 9715)
@@ -31,5 +31,5 @@
 
 #include "class_id.h"
-NewObjectListDefinitionID(NPC2, CL_NPC_TEST2);
+ObjectListDefinitionID(NPC2, CL_NPC_TEST2);
 CREATE_FACTORY(NPC2);
 
Index: branches/new_class_id/src/world_entities/npcs/npc_test.h
===================================================================
--- branches/new_class_id/src/world_entities/npcs/npc_test.h	(revision 9714)
+++ branches/new_class_id/src/world_entities/npcs/npc_test.h	(revision 9715)
@@ -9,5 +9,5 @@
 
 class NPC2 : public NPC {
-  NewObjectListDeclaration(NPC2);
+  ObjectListDeclaration(NPC2);
 
  public:
Index: branches/new_class_id/src/world_entities/npcs/npc_test1.cc
===================================================================
--- branches/new_class_id/src/world_entities/npcs/npc_test1.cc	(revision 9714)
+++ branches/new_class_id/src/world_entities/npcs/npc_test1.cc	(revision 9715)
@@ -25,5 +25,5 @@
 #include "power_ups/laser_power_up.h"
 
-NewObjectListDefinition(NPCTest1);
+ObjectListDefinition(NPCTest1);
 
 NPCTest1::NPCTest1()
Index: branches/new_class_id/src/world_entities/npcs/npc_test1.h
===================================================================
--- branches/new_class_id/src/world_entities/npcs/npc_test1.h	(revision 9714)
+++ branches/new_class_id/src/world_entities/npcs/npc_test1.h	(revision 9715)
@@ -8,5 +8,5 @@
 
 class NPCTest1 : public NPC {
-  NewObjectListDeclaration(NPCTest1);
+  ObjectListDeclaration(NPCTest1);
  public:
   NPCTest1 ();
Index: branches/new_class_id/src/world_entities/npcs/repair_station.cc
===================================================================
--- branches/new_class_id/src/world_entities/npcs/repair_station.cc	(revision 9714)
+++ branches/new_class_id/src/world_entities/npcs/repair_station.cc	(revision 9715)
@@ -27,5 +27,5 @@
 
 #include "class_id.h"
-NewObjectListDefinitionID(RepairStation, CL_DOOR +1 );
+ObjectListDefinitionID(RepairStation, CL_DOOR +1 );
 CREATE_FACTORY(RepairStation);
 
Index: branches/new_class_id/src/world_entities/npcs/repair_station.h
===================================================================
--- branches/new_class_id/src/world_entities/npcs/repair_station.h	(revision 9714)
+++ branches/new_class_id/src/world_entities/npcs/repair_station.h	(revision 9715)
@@ -27,5 +27,5 @@
 class RepairStation : public WorldEntity
 {
-  NewObjectListDeclaration(RepairStation);
+  ObjectListDeclaration(RepairStation);
   public:
     RepairStation ();
Index: branches/new_class_id/src/world_entities/npcs/space_turret.cc
===================================================================
--- branches/new_class_id/src/world_entities/npcs/space_turret.cc	(revision 9714)
+++ branches/new_class_id/src/world_entities/npcs/space_turret.cc	(revision 9715)
@@ -30,5 +30,5 @@
 
 #include "class_id.h"
-NewObjectListDefinitionID(SpaceTurret, CL_SPACE_TURRET);
+ObjectListDefinitionID(SpaceTurret, CL_SPACE_TURRET);
 CREATE_FACTORY(SpaceTurret);
 
Index: branches/new_class_id/src/world_entities/npcs/space_turret.h
===================================================================
--- branches/new_class_id/src/world_entities/npcs/space_turret.h	(revision 9714)
+++ branches/new_class_id/src/world_entities/npcs/space_turret.h	(revision 9715)
@@ -18,5 +18,5 @@
 class SpaceTurret : public NPC
 {
-  NewObjectListDeclaration(SpaceTurret);
+  ObjectListDeclaration(SpaceTurret);
 
 public:
Index: branches/new_class_id/src/world_entities/planet.cc
===================================================================
--- branches/new_class_id/src/world_entities/planet.cc	(revision 9714)
+++ branches/new_class_id/src/world_entities/planet.cc	(revision 9715)
@@ -33,5 +33,5 @@
 
 #include "class_id.h"
-NewObjectListDefinitionID(Planet, CL_PLANET);
+ObjectListDefinitionID(Planet, CL_PLANET);
 CREATE_FACTORY(Planet);
 
Index: branches/new_class_id/src/world_entities/planet.h
===================================================================
--- branches/new_class_id/src/world_entities/planet.h	(revision 9714)
+++ branches/new_class_id/src/world_entities/planet.h	(revision 9715)
@@ -16,5 +16,5 @@
 class Planet : public WorldEntity
 {
-  NewObjectListDeclaration(Planet);
+  ObjectListDeclaration(Planet);
 
  public:
Index: branches/new_class_id/src/world_entities/playable.cc
===================================================================
--- branches/new_class_id/src/world_entities/playable.cc	(revision 9714)
+++ branches/new_class_id/src/world_entities/playable.cc	(revision 9715)
@@ -41,5 +41,5 @@
 SHELL_COMMAND_STATIC(orxoWeapon, Playable, Playable::addSomeWeapons_CHEAT)
   ->setAlias("orxoWeapon");
-NewObjectListDefinition(Playable);
+ObjectListDefinition(Playable);
 
 Playable::Playable()
Index: branches/new_class_id/src/world_entities/playable.h
===================================================================
--- branches/new_class_id/src/world_entities/playable.h	(revision 9714)
+++ branches/new_class_id/src/world_entities/playable.h	(revision 9715)
@@ -27,5 +27,5 @@
 class Playable : public WorldEntity, public Extendable
 {
-  NewObjectListDeclaration(Playable);
+  ObjectListDeclaration(Playable);
 public:
   //! Defines the Playmode of an Entity.
Index: branches/new_class_id/src/world_entities/player.cc
===================================================================
--- branches/new_class_id/src/world_entities/player.cc	(revision 9714)
+++ branches/new_class_id/src/world_entities/player.cc	(revision 9715)
@@ -24,5 +24,5 @@
 #include "debug.h"
 
-NewObjectListDefinition(Player);
+ObjectListDefinition(Player);
 /**
  * creates a new Player
@@ -101,5 +101,5 @@
 {
   /// FIXME this should be in the ObjectManager
-  for (NewObjectList<Playable>::const_iterator node = Playable::objectList().begin();
+  for (ObjectList<Playable>::const_iterator node = Playable::objectList().begin();
        node != Playable::objectList().end();
        ++node)
Index: branches/new_class_id/src/world_entities/player.h
===================================================================
--- branches/new_class_id/src/world_entities/player.h	(revision 9714)
+++ branches/new_class_id/src/world_entities/player.h	(revision 9715)
@@ -23,5 +23,5 @@
 class Player : public EventListener
 {
-  NewObjectListDeclaration(Player);
+  ObjectListDeclaration(Player);
 
   public:
Index: branches/new_class_id/src/world_entities/power_ups/laser_power_up.cc
===================================================================
--- branches/new_class_id/src/world_entities/power_ups/laser_power_up.cc	(revision 9714)
+++ branches/new_class_id/src/world_entities/power_ups/laser_power_up.cc	(revision 9715)
@@ -25,5 +25,5 @@
 
 #include "class_id.h"
-NewObjectListDefinitionID(LaserPowerUp, CL_LASER_POWER_UP);
+ObjectListDefinitionID(LaserPowerUp, CL_LASER_POWER_UP);
 CREATE_FACTORY(LaserPowerUp);
 
Index: branches/new_class_id/src/world_entities/power_ups/laser_power_up.h
===================================================================
--- branches/new_class_id/src/world_entities/power_ups/laser_power_up.h	(revision 9714)
+++ branches/new_class_id/src/world_entities/power_ups/laser_power_up.h	(revision 9715)
@@ -13,5 +13,5 @@
 
 class LaserPowerUp : public PowerUp {
-  NewObjectListDeclaration(LaserPowerUp);
+  ObjectListDeclaration(LaserPowerUp);
 
  public:
Index: branches/new_class_id/src/world_entities/power_ups/param_power_up.cc
===================================================================
--- branches/new_class_id/src/world_entities/power_ups/param_power_up.cc	(revision 9714)
+++ branches/new_class_id/src/world_entities/power_ups/param_power_up.cc	(revision 9715)
@@ -28,5 +28,5 @@
 
 #include "class_id.h"
-NewObjectListDefinitionID(ParamPowerUp, CL_PARAM_POWER_UP);
+ObjectListDefinitionID(ParamPowerUp, CL_PARAM_POWER_UP);
 CREATE_FACTORY(ParamPowerUp);
 
Index: branches/new_class_id/src/world_entities/power_ups/param_power_up.h
===================================================================
--- branches/new_class_id/src/world_entities/power_ups/param_power_up.h	(revision 9714)
+++ branches/new_class_id/src/world_entities/power_ups/param_power_up.h	(revision 9715)
@@ -20,5 +20,5 @@
 
 class ParamPowerUp : public PowerUp {
-  NewObjectListDeclaration(ParamPowerUp);
+  ObjectListDeclaration(ParamPowerUp);
 
 public:
Index: branches/new_class_id/src/world_entities/power_ups/power_up.cc
===================================================================
--- branches/new_class_id/src/world_entities/power_ups/power_up.cc	(revision 9714)
+++ branches/new_class_id/src/world_entities/power_ups/power_up.cc	(revision 9715)
@@ -25,5 +25,5 @@
 
 
-NewObjectListDefinition(PowerUp);
+ObjectListDefinition(PowerUp);
 
 PowerUp::PowerUp(float r, float g, float b)
Index: branches/new_class_id/src/world_entities/power_ups/power_up.h
===================================================================
--- branches/new_class_id/src/world_entities/power_ups/power_up.h	(revision 9714)
+++ branches/new_class_id/src/world_entities/power_ups/power_up.h	(revision 9715)
@@ -21,5 +21,5 @@
 
 class PowerUp : public WorldEntity {
-  NewObjectListDeclaration(PowerUp);
+  ObjectListDeclaration(PowerUp);
 
 public:
Index: branches/new_class_id/src/world_entities/power_ups/turret_power_up.cc
===================================================================
--- branches/new_class_id/src/world_entities/power_ups/turret_power_up.cc	(revision 9714)
+++ branches/new_class_id/src/world_entities/power_ups/turret_power_up.cc	(revision 9715)
@@ -25,5 +25,5 @@
 
 #include "class_id.h"
-NewObjectListDefinitionID(TurretPowerUp, CL_TURRET_POWER_UP);
+ObjectListDefinitionID(TurretPowerUp, CL_TURRET_POWER_UP);
 CREATE_FACTORY(TurretPowerUp);
 
Index: branches/new_class_id/src/world_entities/power_ups/turret_power_up.h
===================================================================
--- branches/new_class_id/src/world_entities/power_ups/turret_power_up.h	(revision 9714)
+++ branches/new_class_id/src/world_entities/power_ups/turret_power_up.h	(revision 9715)
@@ -13,5 +13,5 @@
 
 class TurretPowerUp : public PowerUp {
-  NewObjectListDeclaration(TurretPowerUp);
+  ObjectListDeclaration(TurretPowerUp);
 
  public:
Index: branches/new_class_id/src/world_entities/power_ups/weapon_power_up.cc
===================================================================
--- branches/new_class_id/src/world_entities/power_ups/weapon_power_up.cc	(revision 9714)
+++ branches/new_class_id/src/world_entities/power_ups/weapon_power_up.cc	(revision 9715)
@@ -28,5 +28,5 @@
 
 #include "class_id.h"
-NewObjectListDefinitionID(WeaponPowerUp, CL_WEAPON_POWER_UP);
+ObjectListDefinitionID(WeaponPowerUp, CL_WEAPON_POWER_UP);
 CREATE_FACTORY(WeaponPowerUp);
 
Index: branches/new_class_id/src/world_entities/power_ups/weapon_power_up.h
===================================================================
--- branches/new_class_id/src/world_entities/power_ups/weapon_power_up.h	(revision 9714)
+++ branches/new_class_id/src/world_entities/power_ups/weapon_power_up.h	(revision 9715)
@@ -14,5 +14,5 @@
 
 class WeaponPowerUp : public PowerUp {
-NewObjectListDeclaration(WeaponPowerUp);
+ObjectListDeclaration(WeaponPowerUp);
 public:
   WeaponPowerUp(const TiXmlElement* root = NULL);
Index: branches/new_class_id/src/world_entities/projectiles/bomb.cc
===================================================================
--- branches/new_class_id/src/world_entities/projectiles/bomb.cc	(revision 9714)
+++ branches/new_class_id/src/world_entities/projectiles/bomb.cc	(revision 9715)
@@ -26,5 +26,5 @@
 
 #include "class_id.h"
-NewObjectListDefinitionID(Bomb, CL_BOMB);
+ObjectListDefinitionID(Bomb, CL_BOMB);
 CREATE_FAST_FACTORY_STATIC(Bomb);
 
Index: branches/new_class_id/src/world_entities/projectiles/bomb.h
===================================================================
--- branches/new_class_id/src/world_entities/projectiles/bomb.h	(revision 9714)
+++ branches/new_class_id/src/world_entities/projectiles/bomb.h	(revision 9715)
@@ -17,5 +17,5 @@
 class Bomb : public Projectile
 {
-  NewObjectListDeclaration(Bomb);
+  ObjectListDeclaration(Bomb);
  public:
   Bomb(const TiXmlElement* root = NULL);
Index: branches/new_class_id/src/world_entities/projectiles/boomerang_projectile.cc
===================================================================
--- branches/new_class_id/src/world_entities/projectiles/boomerang_projectile.cc	(revision 9714)
+++ branches/new_class_id/src/world_entities/projectiles/boomerang_projectile.cc	(revision 9715)
@@ -27,5 +27,5 @@
 
 #include "class_id.h"
-NewObjectListDefinitionID(BoomerangProjectile, CL_BOOMERANG_PROJECTILE);
+ObjectListDefinitionID(BoomerangProjectile, CL_BOOMERANG_PROJECTILE);
 CREATE_FAST_FACTORY_STATIC(BoomerangProjectile);
 
Index: branches/new_class_id/src/world_entities/projectiles/boomerang_projectile.h
===================================================================
--- branches/new_class_id/src/world_entities/projectiles/boomerang_projectile.h	(revision 9714)
+++ branches/new_class_id/src/world_entities/projectiles/boomerang_projectile.h	(revision 9715)
@@ -17,5 +17,5 @@
 class BoomerangProjectile : public Projectile
 {
-  NewObjectListDeclaration(BoomerangProjectile);
+  ObjectListDeclaration(BoomerangProjectile);
   public:
     BoomerangProjectile ();
Index: branches/new_class_id/src/world_entities/projectiles/guided_missile.cc
===================================================================
--- branches/new_class_id/src/world_entities/projectiles/guided_missile.cc	(revision 9714)
+++ branches/new_class_id/src/world_entities/projectiles/guided_missile.cc	(revision 9715)
@@ -26,5 +26,5 @@
 
 #include "class_id.h"
-NewObjectListDefinitionID(GuidedMissile, CL_GUIDED_MISSILE);
+ObjectListDefinitionID(GuidedMissile, CL_GUIDED_MISSILE);
 CREATE_FAST_FACTORY_STATIC(GuidedMissile);
 
Index: branches/new_class_id/src/world_entities/projectiles/guided_missile.h
===================================================================
--- branches/new_class_id/src/world_entities/projectiles/guided_missile.h	(revision 9714)
+++ branches/new_class_id/src/world_entities/projectiles/guided_missile.h	(revision 9715)
@@ -16,5 +16,5 @@
 class GuidedMissile : public Projectile
 {
-  NewObjectListDeclaration(GuidedMissile);
+  ObjectListDeclaration(GuidedMissile);
   public:
     GuidedMissile ();
Index: branches/new_class_id/src/world_entities/projectiles/hyperblast.cc
===================================================================
--- branches/new_class_id/src/world_entities/projectiles/hyperblast.cc	(revision 9714)
+++ branches/new_class_id/src/world_entities/projectiles/hyperblast.cc	(revision 9715)
@@ -26,5 +26,5 @@
 
 #include "class_id.h"
-NewObjectListDefinitionID(Hyperblast, CL_HYPERBLAST);
+ObjectListDefinitionID(Hyperblast, CL_HYPERBLAST);
 CREATE_FAST_FACTORY_STATIC(Hyperblast);
 
Index: branches/new_class_id/src/world_entities/projectiles/hyperblast.h
===================================================================
--- branches/new_class_id/src/world_entities/projectiles/hyperblast.h	(revision 9714)
+++ branches/new_class_id/src/world_entities/projectiles/hyperblast.h	(revision 9715)
@@ -17,5 +17,5 @@
 class Hyperblast : public Projectile
 {
-  NewObjectListDeclaration(Hyperblast);
+  ObjectListDeclaration(Hyperblast);
   public:
     Hyperblast ();
Index: branches/new_class_id/src/world_entities/projectiles/laser.cc
===================================================================
--- branches/new_class_id/src/world_entities/projectiles/laser.cc	(revision 9714)
+++ branches/new_class_id/src/world_entities/projectiles/laser.cc	(revision 9715)
@@ -29,5 +29,5 @@
 
 #include "class_id.h"
-NewObjectListDefinition(Laser);
+ObjectListDefinition(Laser);
 CREATE_FAST_FACTORY_STATIC(Laser);
 
Index: branches/new_class_id/src/world_entities/projectiles/laser.h
===================================================================
--- branches/new_class_id/src/world_entities/projectiles/laser.h	(revision 9714)
+++ branches/new_class_id/src/world_entities/projectiles/laser.h	(revision 9715)
@@ -17,5 +17,5 @@
 class Laser : public Projectile
 {
-  NewObjectListDeclaration(Laser);
+  ObjectListDeclaration(Laser);
   public:
     Laser ();
Index: branches/new_class_id/src/world_entities/projectiles/projectile.cc
===================================================================
--- branches/new_class_id/src/world_entities/projectiles/projectile.cc	(revision 9714)
+++ branches/new_class_id/src/world_entities/projectiles/projectile.cc	(revision 9715)
@@ -26,5 +26,5 @@
 #include "debug.h"
 
-NewObjectListDefinition(Projectile);
+ObjectListDefinition(Projectile);
 
 /**
Index: branches/new_class_id/src/world_entities/projectiles/projectile.h
===================================================================
--- branches/new_class_id/src/world_entities/projectiles/projectile.h	(revision 9714)
+++ branches/new_class_id/src/world_entities/projectiles/projectile.h	(revision 9715)
@@ -18,5 +18,5 @@
 class Projectile : public WorldEntity
 {
-  NewObjectListDeclaration(Projectile);
+  ObjectListDeclaration(Projectile);
   public:
     Projectile ();
